/***************************************************************************
                          kcoverstring.h  -  description
                             -------------------
    begin                : Mon Apr 3 2000
    copyright            : (C) 2000 by Pascal 'PeP' Panneels
    email                : pp@bvdep.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KCOVERSTRING_H
#define KCOVERSTRING_H

#include <kcoverobject.h>
#include <kcoverfont.h>
#include <string>
#include <qcolor.h>
#include <qpainter.h>
#include <qfile.h>

/**this is a string objet for the cover
  *@author Pascal 'PeP' Panneels
  */

class KCoverString : public KCoverObject
{
public: 

  KCoverString(string text="", int x=0, int y=0, int order=0);
  ~KCoverString();
  virtual int GetClassType() {return TYPE_CLASS_STRING;} ;
  /** operator == for the comparison function */
  int operator == (const KCoverString &p) const;
  /** return true if clicked is on a text */
  virtual bool IsPointInObject(QPoint &pos);
  virtual int Width();
  virtual int Height();
  virtual void Paint( QPainter &, QPoint);
  virtual int RealX();
  virtual int RealY();
  /** load an object */
  virtual void Load(QFile &file, int version);
  /** Save a string */
  virtual void Save(QFile &file);
	
public :
	string Text;
	KCoverFont * Font;
	QColor * backcolor;
	QColor * textcolor;
	bool transparentbackground;
	char alignoption;
};

#endif
